LFR-FSW - Bug #508

Field DESTINATION_ID into TM_LFR_KCOEFFICIENTS_DUMP non compliant
24/09/2015 04:08 PM - Veronique bouzid

Status: Closed Start date: 24/09/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Le champ DESTINATION_ID = le champ SOURCE_ID de la TC_LFR envoyée
Ce n'est pas le cas, DESTINATION_ID =0

14:50:23.011819, TC_LFR_DUMP_KCOEFFICIENTS, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=11420, (PACKET_SEQUENCE_CONTROL=0xec9c), PACKET_LENGTH=5,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DUMP_KCOEFFICIENTS = 95, SOURCE_ID: AOCS = 11, CRC = 0x19af

14:50:23.045264, TM_LFR_KCOEFFICIENTS_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY:
FUNCTIONAL_NON_CYCLIC = 6, (PACKET ID=0xcc6), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=11, (PACKET_SEQUENCE_CONTROL=0xc00b), PACKET LENGTH=3913, SPARE_1=0, PUS_VERSION = 1,
SPARE_2-0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: KCOEFFICIENTS_DUMP = 96,
DESTINATION_ID: GROUND = 0, TIME=0x8000037bec96, PA_LFR_HK_SID: LFR_KCOEFF_SID = 11,
PA_LFR_KCOEFF_PKT_CNT: 2, PA_LFR_KCOEFF_PKT_NR: 1, PA_LFR_KCOEFF_BLK_NR: 30,
SY_LFR_KCOEFF_FREQUENCY: 0, SY_LFR_KCOEFF_1:1065353216 , SY_LFR_KCOEFF _2:1065353216 ,
SY_LFR_KCOEFF 3:1065353216, SY_LFR_KCOEFF 4:1065353216 , SY_LFR_KCOEFF 5:1065353216 ,
SY_LFR_KCOEFF 6:1065353216, SY_LFR_KCOEFF 7:1065353216 , SY_LFR_KCOEFF _8:1065353216 , ...

le script joué est /opt/VALIDATION_R3/Ifrverif/LFR_SVS/SVS-0018/source_id_loop_step1.py
le fichier detail /home/validation/data/R3/3.0.0.8/1.1.89/SVS-0018/2015 09 23-14 51 13-Detail.txt

Contexte du test

FSW 3.0.0.8

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Related issues:
Related to Task #510: fields DESTINATION_ID on TM_LFR_PARAMETER_DUMP and TM_... Closed 25/09/2015

History

#1 - 25/09/2015 03:20 PM - paul leroy
- Status changed from New to In Progress

- Assignee changed from paul leroy to Veronique bouzid

correction effectuée pour fsw >= 3.0.0.9
non testé sur cible pour l'instant, je n'ai pas de script simple sous la main pour changer le paramétre source_id de la TC envoyée

#2 - 29/09/2015 02:55 PM - Veronique bouzid
- File dump_kcoeff_vs_source.py added

- Assignee changed from Veronique bouzid to paul leroy
Voici un test qui balaie | ensemble de source_id autorisé.

#3 - 29/09/2015 02:57 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Je préfere te laisser le soin de le jouer plus tard, je ne maitrise pas I'environnement des tests de validation, notamment la partie Gérald.

#4 - 02/10/2015 04:07 PM - Veronique bouzid

- Status changed from In Progress to Feedback

Le test /nhome/validation/SCRIPT/R3/dump_kcoeff_vs_source.py a été rejoué avec 3.0.0.9 et le bug est corrigé.
Les fichiers (2015_10_01-08_50_42*) sont rangés dans /home/validation/data/R3/3.0.0.9/TESTS-UNITAIRES/BUG-508.

Les traces extraites du fichier 2015_10_01-08_50_42-Detail.txt montrent bien que le champ DESTINATION_ID de
TM_LFR_KCOEFFICIENTS_DUMP = champ SOURCE_ID de la TC_LFR_DUMP_KCOEFFICIENTS

08:49:40.251008, TC_LFR_DUMP_KCOEFFICIENTS, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=1360, (PACKET_SEQUENCE_CONTROL=0xc550), PACKET_LENGTH=5, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DUMP_KCOEFFICIENTS = 95, SOURCE_ID:
MISSION_TIMELINE = 110, CRC = 0x23b3

08:49:40.280644, TM_LFR_KCOEFFICIENTS_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: FUNCTIONAL_NON_CYCLIC = 6,
(PACKET _ID=0xcc6), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0,
(PACKET_SEQUENCE_CONTROL=0xc000), PACKET LENGTH=3913, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: KCOEFFICIENTS_DUMP = 96, DESTINATION_ID: MISSION_TIMELINE = 110,
TIME=0x8000000c60bc, PA_ LFR_HK_SID: LFR_KCOEFF_SID = 11, PA_LFR_KCOEFF_PKT CNT: 2, P*A_LFR_KCOEFF_PKT NR: 1
08:49:40.296804, *TM_LFR_KCOEFFICIENTS_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: FUNCTIONAL_NON_CYCLIC = 6,
(PACKET _ID=0xcc6), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=1,
(PACKET_SEQUENCE_CONTROL=0xc001), PACKET LENGTH=793, SPARE_1=0, PUS_VERSION = 1, SPARE_2-0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: KCOEFFICIENTS_DUMP = 96, DESTINATION_ID: MISSION_TIMELINE = 110,
TIME=0x8000000c60d6, PA_LFR_HK_SID: LFR_KCOEFF_SID = 11, PA_LFR_KCOEFF_PKT CNT: 2, *PA_LFR_KCOEFF_PKT NR: 2

puis

08:49:41.299853, *TC_LFR_DUMP_KCOEFFICIENTS, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET _ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3,
SEQUENCE_CNT=5191, (PACKET _SEQUENCE_CONTROL=0xd447), PACKET LENGTH=5, CCSDS_SECONDARY_HEADER_FLAG=0,
PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0,
ACK_ACCEPTANCE=1, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DUMP_KCOEFFICIENTS = 95, SOURCE._ID:
TC_SEQUENCES = 111, CRC = 0x67ca

8:49:41.324855, TM_LFR_KCOEFFICIENTS_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: FUNCTIONAL_NON_CYCLIC = 6,
(PACKET_ID=0xcc6), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0,
(PACKET_SEQUENCE_CONTROL=0xc000), PACKET_LENGTH=3913, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: KCOEFFICIENTS_DUMP = 96, D*ESTINATION_ID: TC_SEQUENCES = 111*,
TIME=0x8000000d6¢25, PA_LFR_HK_SID: LFR_KCOEFF_SID = 11, PA_LFR_KCOEFF_PKT_CNT: 2, PA_LFR_KCOEFF_PKT_NR: 1,

et

08:49:41.341071, TM_LFR_KCOEFFICIENTS_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: FUNCTIONAL_NON_CYCLIC = 6,
(PACKET_ID=0xcc6), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=1,
(PACKET_SEQUENCE_CONTROL=0xc001), PACKET_LENGTH=793, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: KCOEFFICIENTS_DUMP = 96, DESTINATION_ID: TC_SEQUENCES = 111,
TIME=0x8000000d6¢3f, PA_LFR_HK_SID: LFR_KCOEFF_SID = 11, PA_LFR_KCOEFF_PKT_CNT: 2, *PA_LFR_KCOEFF_PKT_NR: 2 *

Ce test est un test de vérification et il reste donc a executer le test de validation (SVS-0018).

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

#5 - 02/10/2015 04:10 PM - Veronique bouzid
- Status changed from Feedback to Closed
Le bug est corrigé en 3.0.0.9.
Le champ DESTINATION_ID est correctement renseigné.

Le script rejoué est /opt/VALIDATION_RS3/Ifrverif/LFR_SVS/SVS-0018/source_id_loop_step1.py
Les fichiers de test sont rangés dans /home/validation/data/R3/3.0.0.9/1.1.89/SVS-0018.

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Files

dump_kcoeff_vs_source.py 2.85 KB 29/09/2015
Veronique bouzid
